#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	marco
Version		:	1.28.1
Release		:	17.0.10.rel%{?dist}
Summary		:	MATE, Unobtrusive window manager
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	http://pub.mate-desktop.org/releases/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	gtk3+
BuildRequires	:	gdk-pixbuf
BuildRequires	:	intltool
BuildRequires	:	libcanberra
BuildRequires	:	pango
BuildRequires	:	xorg-libXcomposite
BuildRequires	:	xorg-libXdamage
BuildRequires	:	xorg-libXrender
BuildRequires	:	xorg-libXres
BuildRequires	:	zenity

Requires(post)	:	%{_bindir}/update-desktop-database
Requires(post)	:	%{_bindir}/glib-compile-schemas
#-----------------------------------------------------------------------------
%description
'%{name}' is a fork of GNOME metacity.
Metacity is a window manager that integrates nicely with the GNOME
desktop. It strives to be quiet, small, stable, get on with its job,
and stay out of your attention.

#-----------------------------------------------------------------------------
%files		-f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/%{name}
%{_bindir}/%{name}-*
%{_includedir}/%{name}-1/%{name}-private/*.h
%{_libdir}/lib%{name}-private.so*
%{_libdir}/pkgconfig/lib%{name}-private.pc
%{_datadir}/glib-2.0/schemas/org.mate.%{name}.gschema.xml
%{_datadir}/help/C/creating-%{name}-themes/index.docbook
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mate/wm-properties/%{name}-wm.desktop
%{_datadir}/%{name}/icons/%{name}-window-demo.png
%{_datadir}/themes/*/metacity-1/*.{png,xml}
%{_datadir}/mate-control-center/keybindings/50-%{name}-*-key.xml
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man1/%{name}-*.1.gz

%post
/usr/sbin/ldconfig
%{_bindir}/update-desktop-database > /dev/null 2>&1
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas/ > /dev/null 2>&1

%postun
if [ "$1" = 0 ]; then
  %{_bindir}/update-desktop-database 2>& /dev/null
  %{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas/ > /dev/null 2>&1
  fi
/usr/sbin/ldconfig

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-schemas-compile			\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%find_lang %{name}
#-----------------------------------------------------------------------------
%changelog
